osgSim::ObjectRecordData Class Reference

`#include <ObjectRecordData>`

Inheritance diagram for osgSim::ObjectRecordData:

## Public Member Functions

| ObjectRecordData ()
| ObjectRecordData (const ObjectRecordData &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgSim, ObjectRecordData)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

unsigned int | _flags
short | _relativePriority
unsigned short | _transparency
short | _effectID1
short | _effectID2
short | _significance

## Static Public Attributes

static const unsigned int | DONT_DISPLAY_IN_DAYLIGHT = 0x80000000u >> 0
static const unsigned int | DONT_DISPLAY_AT_DUSK = 0x80000000u >> 1
static const unsigned int | DONT_DISPLAY_AT_NIGHT = 0x80000000u >> 2
static const unsigned int | DONT_ILLUMINATE = 0x80000000u >> 3
static const unsigned int | FLAT_SHADED = 0x80000000u >> 4
static const unsigned int | GROUPS_SHADOW_OBJECT = 0x80000000u >> 5

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

When the OpenFlight importer encounters an Object record, it stores the data in one of these classes, and attaches the instance of the class as UserData to the corresponding osgLLGroup node.

## Constructor & Destructor Documentation

## ObjectRecordData() [1/2]

osgSim::ObjectRecordData::ObjectRecordData | ( |  | ) |

inline

References _effectID1, _effectID2, _flags, _relativePriority, _significance, and _transparency.

Referenced by META_Object(), and ObjectRecordData().

## ObjectRecordData() [2/2]

osgSim::ObjectRecordData::ObjectRecordData | ( | const ObjectRecordData & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _effectID1, _effectID2, _flags, _relativePriority, _significance, _transparency, osg::Object::Object(), ObjectRecordData(), and osg::CopyOp::SHALLOW_COPY.

## Member Function Documentation

## META_Object()

osgSim::ObjectRecordData::META_Object | ( | osgSim | ,
|  | ObjectRecordData | )

References ObjectRecordData().

## Member Data Documentation

## _effectID1

short osgSim::ObjectRecordData::_effectID1

Referenced by ObjectRecordData(), and ObjectRecordData().

## _effectID2

short osgSim::ObjectRecordData::_effectID2

Referenced by ObjectRecordData(), and ObjectRecordData().

## _flags

unsigned int osgSim::ObjectRecordData::_flags

Referenced by ObjectRecordData(), and ObjectRecordData().

## _relativePriority

short osgSim::ObjectRecordData::_relativePriority

Referenced by ObjectRecordData(), and ObjectRecordData().

## _significance

short osgSim::ObjectRecordData::_significance

Referenced by ObjectRecordData(), and ObjectRecordData().

## _transparency

unsigned short osgSim::ObjectRecordData::_transparency

Referenced by ObjectRecordData(), and ObjectRecordData().

## DONT_DISPLAY_AT_DUSK

const unsigned int osgSim::ObjectRecordData::DONT_DISPLAY_AT_DUSK = 0x80000000u >> 1

static

## DONT_DISPLAY_AT_NIGHT

const unsigned int osgSim::ObjectRecordData::DONT_DISPLAY_AT_NIGHT = 0x80000000u >> 2

static

## DONT_DISPLAY_IN_DAYLIGHT

const unsigned int osgSim::ObjectRecordData::DONT_DISPLAY_IN_DAYLIGHT = 0x80000000u >> 0

static

## DONT_ILLUMINATE

const unsigned int osgSim::ObjectRecordData::DONT_ILLUMINATE = 0x80000000u >> 3

static

## FLAT_SHADED

const unsigned int osgSim::ObjectRecordData::FLAT_SHADED = 0x80000000u >> 4

static

## GROUPS_SHADOW_OBJECT

const unsigned int osgSim::ObjectRecordData::GROUPS_SHADOW_OBJECT = 0x80000000u >> 5

static

The documentation for this class was generated from the following file:

- ObjectRecordData